LibreOffice: XStatusbarController Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XStatusbarController Interface Reference

interface to be implemented by a component offering a more complex user interface to users within a status bar. More...

`import "XStatusbarController.idl";`

Inheritance diagram for XStatusbarController:

## Exported Interfaces
interface | com::sun::star::lang::XComponent
| used to control the life-time of the component
interface | com::sun::star::lang::XInitialization
| used to initialize a component with required arguments.
interface | com::sun::star::frame::XStatusListener
| with this interface a component can receive events if a feature has changed.
interface | com::sun::star::util::XUpdatable
| used to notify an implementation that it needs to add its listener or remove and add them again.

## Public Member Functions
boolean | mouseButtonDown ([in] ::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse button has been pressed.
boolean | mouseMove ([in] ::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse has been moved.
boolean | mouseButtonUp ([in] ::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse button has been released.
void | command ([in] ::com::sun::star::awt::Point aPos, [in] long nCommand, [in] boolean bMouseEvent, [in] any aData)
| is called by a status bar if a command event is available for a controller.
void | paint ([in] ::com::sun::star::awt::XGraphics xGraphics, [in] ::com::sun::star::awt::Rectangle OutputRectangle, [in] long nStyle)
| is called by a status bar if the controller has to update the visual representation.
void | click ([in] ::com::sun::star::awt::Point aPos)
| is called by a status bar if the user clicked with mouse into the field of the corresponding control.
void | doubleClick ([in] ::com::sun::star::awt::Point aPos)
| is called by a status bar if the user double-clicked with mouse into the field of the corresponding control.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XStatusListener
void | statusChanged ([in] FeatureStateEvent State)
| is called when the status of the feature changes.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XUpdatable
void | update ()
| refreshes the data of the object from the connected data source.

## Detailed Description

interface to be implemented by a component offering a more complex user interface to users within a status bar.

A generic status bar field is represented as a simple text field. A status bar controller can be added to a Statusbar and provide information or functions with a more sophisticated user interface.
A typical example for status bar controller is a zoom chooser. It shows the current zoom and provides general zoom levels on a pop-up menu that can be activated by a mouse action for context menus.

See also
  com::sun::star::frame::XDispatchProvider

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::frame::XStatusListener

interface com::sun::star::frame::XStatusListener

with this interface a component can receive events if a feature has changed.

The status bar controller implementation should register itself as a listener when its com::sun::star::util::XUpdatable interface has been called.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

used to control the life-time of the component

Used by a status bar implementation to control the life-time of a status bar controller. The status bar is the only instance which is allowed to dispose the component.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

used to initialize a component with required arguments.

A status bar controller is initialized with five additional arguments provided as a sequence of com::sun::star::beans::PropertyValue:

- Frame
  a com::sun::star::frame::XFrame instance to which the status bar controller belongs.
- CommandURL
  a string which specifies the command associated with the statusbar controller.
  The command is used to identify the status bar controller implementation.
- StatusbarItem
  a com::sun::star::ui::XStatusbarItem instance which represents the status bar item associated with this controller.
- ParentWindow
  a com::sun::star::awt::Window instance which represents the parent window (status bar window).
- ModuleName
  a string which specifies the name of the office module attached to the frame to which this controller belongs; the value is taken from com::sun::star::frame::XModuleManager::identify().

## ◆ com::sun::star::util::XUpdatable

interface com::sun::star::util::XUpdatable

used to notify an implementation that it needs to add its listener or remove and add them again.

A status bar controller instance is ready for use after this call has been made the first time. The status bar implementation guarantees that the controller's item window has been added to the status bar and its reference is held by it.

## Member Function Documentation

## ◆ click()

void click | ( | [in] ::com::sun::star::awt::Point | aPos | ) |

is called by a status bar if the user clicked with mouse into the field of the corresponding control.

Parameters

  aPos | the current mouse position in pixel.

## ◆ command()

void command | ( | [in] ::com::sun::star::awt::Point | aPos,
|  | [in] long | nCommand,
|  | [in] boolean | bMouseEvent,
|  | [in] any | aData )

is called by a status bar if a command event is available for a controller.

Parameters

  aPos | the current mouse position in pixel.
  nCommand | describes which command has been invoked. See com::sun::star::awt::Command for possible values.
  bMouseEvent | TRUE if the command is based on a mouse event, otherwise FALSE.
  aData | for future use only.

## ◆ doubleClick()

void doubleClick | ( | [in] ::com::sun::star::awt::Point | aPos | ) |

is called by a status bar if the user double-clicked with mouse into the field of the corresponding control.

Parameters

  aPos | the current mouse position in pixel.

## ◆ mouseButtonDown()

boolean mouseButtonDown | ( | [in] ::com::sun::star::awt::MouseEvent | aMouseEvent | ) |

is called by a status bar if the mouse position is within the controller and a mouse button has been pressed.

If the controller has captured the mouse input this function is also called when the mouse position is not within the controller.

Parameters

  aMouseEvent | current information about the mouse pointer.

Returns
  return TRUE if the event should not be processed and FALSE if the event should be processed by the status bar.

## ◆ mouseButtonUp()

boolean mouseButtonUp | ( | [in] ::com::sun::star::awt::MouseEvent | aMouseEvent | ) |

is called by a status bar if the mouse position is within the controller and a mouse button has been released.

If the controller has captured the mouse input this function is also called when the mouse position is not within the controller.

Parameters

  aMouseEvent | current information about the mouse pointer.

Returns
  return TRUE if the event should not be processed and FALSE if the event should be processed by the status bar.

## ◆ mouseMove()

boolean mouseMove | ( | [in] ::com::sun::star::awt::MouseEvent | aMouseEvent | ) |

is called by a status bar if the mouse position is within the controller and a mouse has been moved.

If the controller has captured the mouse input this function is also called when the mouse position is not within the controller.

Parameters

  aMouseEvent | current information about the mouse pointer.

Returns
  return TRUE if the event should not be processed and FALSE if the event should be processed by the status bar.

## ◆ paint()

void paint | ( | [in] ::com::sun::star::awt::XGraphics | xGraphics,
|  | [in] ::com::sun::star::awt::Rectangle | OutputRectangle,
|  | [in] long | nStyle )

is called by a status bar if the controller has to update the visual representation.

Parameters

  xGraphics | a reference to a com::sun::star::awt::XGraphics which has to be used to update the visual representation.
  OutputRectangle | a com::sun::star::awt::Rectangle which determine the output rectangle for all drawing operations
  nStyle | reserved for future use.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XStatusbarController.idl